package com.bocloud.cmp.model;

import com.alibaba.fastjson.JSONObject;

import java.util.Date;
import java.util.List;

/**
 * 物理网卡
 *
 * @author songsong
 */
public class NetworkCardModel {
    private String name;// 物理网卡的名称
    private String mac;// 物理网卡mac值
    private Boolean used;// 网卡在某一台物理机上是否被使用
    private String label;// 标签
    private String switcher;
    private String portType;// 端口类型
    private String zone;
    private String regionId;
    private String vpcUuid;
    private String subnetUuid;
    private String ipAddress;
    private List<JSONObject> privateIpAddressSet; // 指定网卡内网信息
    private Date gmtCreate;
    private String networkcardUuid;
    private String remark;
    private Boolean isPrimary;
    private String status;
    private String instanceId;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the mac
     */
    public String getMac() {
        return mac;
    }

    /**
     * @param mac the mac to set
     */
    public void setMac(String mac) {
        this.mac = mac;
    }

    /**
     * @return the used
     */
    public Boolean getUsed() {
        return used;
    }

    /**
     * @param used the used to set
     */
    public void setUsed(Boolean used) {
        this.used = used;
    }

    /**
     * @return the label
     */
    public String getLabel() {
        return label;
    }

    /**
     * @param label the label to set
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * @return the switcher
     */
    public String getSwitcher() {
        return switcher;
    }

    /**
     * @param switcher the switcher to set
     */
    public void setSwitcher(String switcher) {
        this.switcher = switcher;
    }

    /**
     * @return the portType
     */
    public String getPortType() {
        return portType;
    }

    /**
     * @param portType the portType to set
     */
    public void setPortType(String portType) {
        this.portType = portType;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getSubnetUuid() {
        return subnetUuid;
    }

    public void setSubnetUuid(String subnetUuid) {
        this.subnetUuid = subnetUuid;
    }

    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getNetworkcardUuid() {
        return networkcardUuid;
    }

    public void setNetworkcardUuid(String networkcardUuid) {
        this.networkcardUuid = networkcardUuid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Boolean getIsPrimary() {
        return isPrimary;
    }

    public void setIsPrimary(Boolean isPrimary) {
        this.isPrimary = isPrimary;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<JSONObject> getPrivateIpAddressSet() {
        return privateIpAddressSet;
    }

    public void setPrivateIpAddressSet(List<JSONObject> privateIpAddressSet) {
        this.privateIpAddressSet = privateIpAddressSet;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }
}
